[ De Claffer Music Studios, Singapore ]

-Music Composer-
Tay Chee Wei

-Sound Design and Audio Mix-
Lavanath Shanmugam

[ Innovate Worldwide ]

Tiwa, Henry, Golf,
Chana, Putsa, Jan,
Por, John, Paul

[ Babel Media ]

Martin 
Webmasters

[ Egg Story ]

Nickson, Eva,
Elizabeth, Damian,
Artists

[ Megamedia ]

Josh, Vika, Amin  

[ Bates ]

Jesley, Zhenjie, Sandy

[ Brierley ]

Gavin, Ted, 
Newsletter crew

[ Special Thanks ]

Alan Bay, Anders,
Arto, Avery Ng,
Brad, Chan Yaoxian,
Chua Yih Puoh, DaBabe,
Damian, Goh Zhi Wei,
Irah, Iris, 
Jussi, Kryark,
Lotta, Miikka,
Munchkin, Rick Gawdat, 
Rani Santhanam, Reza,
Ryan Lim, Simon,
Taco, The Patriot,
Tomi, Tommy Ng,
Victor Ho, Wini